- Qt 6.9
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- PickLineEvent
- Qt 6.9.3 Reference Documentation

# PickLineEvent QML Type

PickLineEvent holds information when a segment of a line is picked. More...

Import Statement: | `import Qt3D.Render 2.9`
Status: | Deprecated

- List of all members, including inherited members

## Properties

- triangleIndex : uint
- vertex1Index : uint
- vertex2Index : uint

## Detailed Description

See also ObjectPicker.

## Property Documentation

triangleIndex : uint

Specifies the triangle index of the event

vertex1Index : uint

Specifies the index of the first point of the picked edge

vertex2Index : uint

Specifies the index of the second point of the picked edge